<app-menu></app-menu>
<div class="container">
    <form class="mat-dialog-content" id="idFormModalidad" [formGroup]="formsRegistra">
        <div class="row">
            <mat-toolbar color="primary">
                <span>Registra Revista</span>
            </mat-toolbar>
        </div>
        <div class="row" style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                <mat-label>Nombre</mat-label>
                <input matInput [(ngModel)]="revista.nombre" formControlName="validaNombre" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaNombre.touched">
                    <span *ngIf="formsRegistra.controls.validaNombre.hasError('required')">
                        El nombre es requerido
                    </span>
                    <span *ngIf="formsRegistra.controls.validaNombre.hasError('pattern')">
                        El nombre es 3 a 30 caracteres
                    </span>
                </mat-hint>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Frecuencia</mat-label>
                <input matInput [(ngModel)]="revista.frecuencia" formControlName="validaFrecuencia" maxlength="30">
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaFrecuencia.touched">
                    <span *ngIf="formsRegistra.controls.validaFrecuencia.hasError('required')">
                        La Frecuencia es requerido
                    </span>
                    <span *ngIf="formsRegistra.controls.validaFrecuencia.hasError('pattern')">
                        La Frecuencia es 3 a 30 caracteres
                    </span>
                </mat-hint>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Fecha de creación</mat-label>
                <input matInput type="date" [(ngModel)]="revista.fechaCreacion" formControlName="validaFechaCreacion">
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaFechaCreacion.touched">
                    <span *ngIf="formsRegistra.controls.validaFechaCreacion.hasError('required')">
                        La Fecha es requerido
                    </span>
                </mat-hint>

            </mat-form-field>
        </div>

        <div class="row" style="margin-top: 3%">
            <mat-form-field class="col-md-4">
                <mat-label>País</mat-label>
                <mat-select [(ngModel)]="revista.pais!.idPais" formControlName="validaPais">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of lstPais" [value]="x.idPais">
                        {{x.nombre}}
                    </mat-option>
                </mat-select>

                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaPais.touched">
                    <span *ngIf="formsRegistra.controls.validaPais.hasError('min')">
                        El País es requerido
                    </span>
                </mat-hint>
            </mat-form-field>

            <mat-form-field class="col-md-4">
                <mat-label>Tipo de Revista</mat-label>
                <mat-select [(ngModel)]="revista.tipoRevista!.idDataCatalogo" formControlName="validaTipoRevista">
                    <mat-option value="-1"> [Seleccione] </mat-option>
                    <mat-option *ngFor="let x of lstRevista" [value]="x.idDataCatalogo">
                        {{x.descripcion}}
                    </mat-option>
                </mat-select>
                <mat-hint style="color: red" *ngIf="formsRegistra.controls.validaTipoRevista.touched">
                    <span *ngIf="formsRegistra.controls.validaTipoRevista.hasError('min')">
                        El Tipo de Revista es requerido
                    </span>
                </mat-hint>

            </mat-form-field>

        </div>

        <div mat-dialog-actions>
            <button mat-raised-button type="submit" color="primary" (click)="registra()" [mat-dialog-close]="1"
                [disabled]="formsRegistra.invalid">
                Registra</button>
            <button mat-button color="primary">Salir</button>
        </div>
    </form>

</div>
